Assign machine translate engine to project
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/mtSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Project
Assign machine translate engine to project
Assigns an existing machine translate engine as the project-wide MT engine, replacing any project-level or per-language MT settings currently in effect. This will erase all mtSettings per language for the project. To remove all machine translate settings from the project, call without a machineTranslateSettings parameter.
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
mtSettings
Assign machine translate engine to project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
MT settings to apply; omit machineTranslateSettings to remove all MT settings
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I